curl --request POST \
--url https://iam.basaltic.sh/v1/service-accounts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "ci-cd-pipeline",
"description": "Service account for automated deployments",
"tags": {
"environment": "production",
"team": "backend"
}
}
'import requests
url = "https://iam.basaltic.sh/v1/service-accounts"
payload = {
"name": "ci-cd-pipeline",
"description": "Service account for automated deployments",
"tags": {
"environment": "production",
"team": "backend"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'ci-cd-pipeline',
description: 'Service account for automated deployments',
tags: {environment: 'production', team: 'backend'}
})
};
fetch('https://iam.basaltic.sh/v1/service-accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"service_account": {
"linux_identity": {
"home_directory": "/home/vagner",
"username": "vagner",
"uid": 1000100000,
"gid": 1000100000
},
"id": "550e8400-e29b-41d4-a716-446655440000",
"crn": "crn:iam::production:service-account/deploy-bot",
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "ci-cd-pipeline",
"description": "Service account for automated deployments",
"tags": {
"environment": "production",
"team": "backend"
},
"enabled": true,
"created_at": "2026-01-15T09:30:00Z",
"updated_at": "2026-01-16T14:20:00Z",
"account_handle": "production"
}
}{
"error": {
"code": "INVALID_INPUT",
"message": "Invalid request parameters",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Authentication required",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "ACCESS_DENIED",
"message": "You don't have permission to perform this action",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "CONFLICT",
"message": "Resource with this name already exists",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "IDEMPOTENCY_KEY_REUSED",
"message": "This Idempotency-Key was already used with a different request payload",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "An internal error occurred",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}Crear cuenta de servicio
Crear una nueva cuenta de servicio vinculada a la cuenta seleccionada a través de X-Account-Id. Las claves permanentes acuñadas para la SA se autentican en S3 como esa cuenta.
iam:CreateServiceAccount. Consulte permisos de IAM para obtener la lista completa, lo que cubre cada una y un ejemplo de directiva.Autorizaciones
Un token bearer de OAuth 2.0, enviado como Authorization: Bearer <token>. Esta es la forma recomendada de autenticación.
Obtén el token intercambiando el par de claves de acceso de una cuenta de servicio en POST /v1/oauth/token con grant_type=client_credentials. Es el flujo estándar de credenciales de cliente; las bibliotecas compatibles con OAuth pueden obtener y renovar el token por ti.
curl -s -u "$KEY_ID:$SECRET" -d grant_type=client_credentials \
https://iam.basaltic.sh/v1/oauth/token
Los tokens duran una hora por defecto. El mismo par de claves de acceso también sirve como credencial AWS SigV4 para el endpoint de objetos compatible con S3, que solo acepta ese método de autenticación.
Encabezados
Clave opcional generada por el cliente que hace que una creación sea segura para la reproducción. Al volver a intentar una solicitud con la misma clave, se devuelve el resultado original literalmente en lugar de crear un recurso duplicado. Se rechaza la reutilización de una clave con un cuerpo de solicitud diferente (422); una solicitud cuya clave todavía se está procesando devuelve 409. Los registros se mantienen durante 24 horas. Usa un UUID o un token único similar.
255Cuerpo
El nombre de usuario de Linux es sa_Los nombres de los recursos no deben comenzar con el prefijo literal crn: ni ser UUIDs.
2 - 29^[a-z][a-z0-9-]*[a-z0-9]$"ci-cd-pipeline"
1000"Service account for automated deployments"
Show child attributes
Show child attributes
{
"environment": "production",
"team": "backend"
}
Respuesta
Cuenta de servicio creada
Una identidad solo de API para acceso programático, vinculada a una cuenta
Show child attributes
Show child attributes

